%define module_name MsgPack-RPC
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Beam/Emitter.pm) perl(Beam/Event.pm) perl(Carp.pm) perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Async/Loop.pm) perl(IO/Async/Stream.pm) perl(IO/Async/Timer/Countdown.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/AllUtils.pm) perl(List/Util.pm) perl(Log/Any.pm) perl(Module/Runtime.pm) perl(Moose.pm) perl(MooseX/MungeHas.pm) perl(MooseX/NonMoose.pm) perl(Promises.pm) perl(Scalar/Util.pm) perl(Test/Approx.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Type/Tiny.pm) perl(Types/Standard.pm) perl(experimental.pm) perl(overload.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0.2
Release: alt1
Summary: MessagePack RPC client
Group: Development/Perl
License: perl
URL: https://github.com/yanick/MsgPack-RPC

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`MsgPack::RPC' implements a MessagePack RPC client following
the protocol described at https://github.com/msgpack-rpc/msgpack-rpc/blob/master/spec.md.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE AUTHOR_PLEDGE README.mkdn Changes CODE_OF_CONDUCT.md
%perl_vendor_privlib/M*

%changelog
* Tue Mar 19 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1
- updated by package builder

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1
- regenerated from template by package builder

* Mon Mar 20 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1
- initial import by package builder

